summaryrefslogtreecommitdiff
path: root/dev-python/python-stdnum
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/python-stdnum
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/python-stdnum')
-rw-r--r--dev-python/python-stdnum/Manifest1
-rw-r--r--dev-python/python-stdnum/metadata.xml4
-rw-r--r--dev-python/python-stdnum/python-stdnum-1.15.ebuild28
3 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/python-stdnum/Manifest b/dev-python/python-stdnum/Manifest
index 6fd6bbf0eda9..253bf45853f9 100644
--- a/dev-python/python-stdnum/Manifest
+++ b/dev-python/python-stdnum/Manifest
@@ -1 +1,2 @@
DIST python-stdnum-1.14.tar.gz 953637 BLAKE2B 5772fd2284dc9c255b544c6f0d1f4d1ebbaa48547cf1ba9aafb082a4d649ce90574444b298a333c9fbac5e232d2ea144f2e5bbd817fb6e7b78ea66081ed871b2 SHA512 d17643a2e4d8efc5f554c9c114399802e6dae0ff60b6ab0e32ebf6ece7c87a96287dd1c2e68e4fcd97f8ab475a267de5dad41d726470690255a2a0aeddedbb8e
+DIST python-stdnum-1.15.tar.gz 1037630 BLAKE2B 7d4bc086a5c0e272b7c55ed5bead9561375b6410b286c6d1d78e49dfc1473a9021646fbd363cfa532bc3eb1a54284b253f46ab28f60d2d411efa0992772a02a0 SHA512 e6f1d921e8ce64a11f9c5572e7eabc27bd7c71c34017fb795c45fa585701fcc78ff81c15b1a9bd48b8d9975e1fbc354b3923942c6f81e8fe4dfb8f611e3ab9cc
diff --git a/dev-python/python-stdnum/metadata.xml b/dev-python/python-stdnum/metadata.xml
index 4180b93bc2c0..77379138db30 100644
--- a/dev-python/python-stdnum/metadata.xml
+++ b/dev-python/python-stdnum/metadata.xml
@@ -5,6 +5,10 @@
<email>cedk@gentoo.org</email>
<name>Cédric Krier</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<stabilize-allarches/>
<use>
<flag name="vies">Enable VIES</flag>
diff --git a/dev-python/python-stdnum/python-stdnum-1.15.ebuild b/dev-python/python-stdnum/python-stdnum-1.15.ebuild
new file mode 100644
index 000000000000..4387f343abb0
--- /dev/null
+++ b/dev-python/python-stdnum/python-stdnum-1.15.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A module to handle standardized numbers and codes"
+HOMEPAGE="https://arthurdejong.org/python-stdnum/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="vies"
+
+RDEPEND="
+ vies? (
+ || (
+ dev-python/zeep[${PYTHON_USEDEP}]
+ dev-python/suds[${PYTHON_USEDEP}]
+ )
+ )"
+
+DOCS=( ChangeLog NEWS README )
+
+distutils_enable_tests nose